<?
// ----------------------------------------------------------------------------
// ShowIndex()
//
// This function displays a list of messages.
// ----------------------------------------------------------------------------

   function ShowIndex()
   {
      global $vocab, $prefs, $config, $index, $PHP_SELF, $sid, $msgcount, $msgsize, $first;

      if( $first < 0 )
         $first = 0;
      else if( $first >= $msgcount )
         $first = $msgcount - 1;
      StartMenu();
      MenuOption( "$PHP_SELF?sid=$sid", $vocab["list"] );
      MenuSeparator();
      MenuOption( "$PHP_SELF?sid=$sid&cmd=compose", $vocab["compose"] );
      MenuSeparator();
      MenuOption( "$PHP_SELF?sid=$sid&cmd=config", $vocab["config"] );
      echo( "<td width=99%>&nbsp;</td>" );
      MenuOption( "$PHP_SELF?sid=$sid&cmd=logout", $vocab["logout"] );
      EndMenu();

      if( $msgcount == 0 )
         echo( "<p><span class=notice>" . $vocab["empty"] . "</span><p>" );
      else
      {
         echo( "<script language=javascript><!--\n" );
         echo( "function toggle()\n" );
         echo( "{\n" );
         echo( "   for( var i = 0; i < document.indexform.elements.length; i++ )\n" );
         echo( "      document.indexform.elements[i].checked = document.indexform.tog.checked;\n" );
         echo( "}\n" );
         echo( "//--></script>\n" );

         echo( "<form name=indexform method=post action=$PHP_SELF>" );
         echo( "<input type=hidden name=sid value=$sid>" );
         echo( "<input type=hidden name=cmd value=delete>" );

         echo( "<table width=100% border=0 cellspacing=0 cellpadding=2>" );

         echo( "<tr><td colspan=6 class=plain>" );
         if( $prefs["length"] > 0 )
         {
            $numpages = ceil( $msgcount / $prefs["length"] );
            $curpage = floor( $first / $prefs["length"] ) + 1;
         }
         else
         {
            $numpages = 1;
            $curpage = 1;
         }
         echo( $vocab["page"] );
         echo( ": " );
         for( $i = 1; $i <= $numpages; $i++ )
         {
            $x = ($i - 1) * $prefs["length"];
            if( $i == $curpage )
               echo( "<b>$i</b> " );
            else
               echo( "<a href=$PHP_SELF?sid=$sid&first=$x>$i</a> " );
         }
         echo( "</td></td>\n" );

         echo( "<tr>" );
         echo( "<td class=header><input type=checkbox name=tog onclick=\"javascript:toggle();\"></td>" );

         echo( "<td nowrap class=header><a href=$PHP_SELF?sid=$sid&first=$first&s=" );
         if( $prefs["sort"] == "nd" )
            echo( "n" );
         else
            echo( "nd" );
         echo( ">" );
         echo( $vocab["number"] );
         if( $prefs["sort"] == "n" )
            echo( " <img src=ascending.gif border=0 width=12 height=13 alt=^>" );
         else if( $prefs["sort"] == "nd" )
            echo( " <img src=decending.gif border=0 width=12 height=13 alt=v>" );
         else
            echo( " <img src=blank.gif border=0 width=12 height=13 alt=&nbsp;>" );
         echo( "</a></td>" );

         echo( "<td class=header><img src=blank.gif width=12 height=13><img src=blank.gif width=12 height=13 alt=&nbsp;> <a href=$PHP_SELF?sid=$sid&first=$first&s=" );
         if( $prefs["sort"] == "fd" )
            echo( "f" );
         else
            echo( "fd" );
         echo( ">" );
         echo( $vocab["from"] );
         if( $prefs["sort"] == "f" )
            echo( " <img src=ascending.gif border=0 width=12 height=13 alt=^>" );
         else if( $prefs["sort"] == "fd" )
            echo( " <img src=decending.gif border=0 width=12 height=13 alt=v>" );
         else
            echo( " <img src=blank.gif border=0 width=12 height=13 alt=&nbsp;>" );
         echo( "</a></td>" );

         echo( "<td width=80% class=header><a href=$PHP_SELF?sid=$sid&first=$first&s=" );
         if( $prefs["sort"] == "sd" )
            echo( "s" );
         else
            echo( "sd" );
         echo( ">" );
         echo( $vocab["subject"] );
         if( $prefs["sort"] == "s" )
            echo( " <img src=ascending.gif border=0 width=12 height=13 alt=^>" );
         else if( $prefs["sort"] == "sd" )
            echo( " <img src=decending.gif border=0 width=12 height=13 alt=v>" );
         else
            echo( " <img src=blank.gif border=0 width=12 height=13 alt=&nbsp;>" );
         echo( "</a></td>" );

         echo( "<td class=header><a href=$PHP_SELF?sid=$sid&first=$first&s=" );
         if( $prefs["sort"] == "dd" )
            echo( "d" );
         else
            echo( "dd" );
         echo( ">" );
         echo( $vocab["date"] );
         if( $prefs["sort"] == "d" )
            echo( " <img src=ascending.gif border=0 width=12 height=13 alt=^>" );
         else if( $prefs["sort"] == "dd" )
            echo( " <img src=decending.gif border=0 width=12 height=13 alt=v>" );
         else
            echo( " <img src=blank.gif border=0 width=12 height=13 alt=&nbsp;>" );
         echo( "</a></td>" );

         echo( "<td align=right nowrap class=header><a href=$PHP_SELF?sid=$sid&first=$first&s=" );
         if( $prefs["sort"] == "bd" )
            echo( "b" );
         else
            echo( "bd" );
         echo( ">" );
         echo( $vocab["size"] );
         if( $prefs["sort"] == "b" )
            echo( " <img src=ascending.gif border=0 width=12 height=13 alt=^>" );
         else if( $prefs["sort"] == "bd" )
            echo( " <img src=decending.gif border=0 width=12 height=13 alt=v>" );
         else
            echo( " <img src=blank.gif border=0 width=12 height=13 alt=&nbsp;>" );
         echo( "</a></td>" );

         echo( "</tr>" );


         if( $first <= 0 )
            $first = 0;
         if( $prefs["length"] > 0 )
         {
            $last = $first + $prefs["length"] - 1;
            if( $last >= $msgcount )
               $last = $msgcount - 1;
         }
         else
            $last = $msgcount - 1;

         $z = 1;
         for( $i = $first; $i <= $last; $i++ )
         {
            $n = $i + 1;
            if( stristr( $index[$i][status], "r" ) )
            {
               if( $z++ % 2 == 1 )
                  echo( "<tr class=readodd>" );
               else
                  echo( "<tr class=readeven>" );
            }
            else
            {
               if( $z++ % 2 == 1 )
                  echo( "<tr class=unreadodd>" );
               else
                  echo( "<tr class=unreadeven>" );
            }

            $x = $index[$i][number];
            echo( "<td><input type=checkbox name=cb$x></td>" );

            echo( "<td>$n</td>" );

            echo( "<td nowrap>" );

            if( !stristr( $index[$i][status], "r" ) )
               echo( "<img src=unread.gif border=0 width=12 height=13 alt=*>" );
            else
               echo( "<img src=blank.gif border=0 width=12 height=13 alt=&nbsp;>" );

            if( stristr( $index[$i][flags], "a" ) )
               echo( "<img src=attach.gif border=0 width=12 height=13 alt=&nbsp;> " );
            else
               echo( "<img src=blank.gif border=0 width=12 height=13 alt=&nbsp;> " );

            echo( "<a href=$PHP_SELF?sid=$sid&cmd=read&msg=$n>" );
            echo( $index[$i][from] );
            echo( "</a></td>" );

            echo( "<td width=80%>" );
            echo( "<a href=$PHP_SELF?sid=$sid&cmd=read&msg=$n>" );
            if( $index[$i][subject] == "" )
               echo( "No subject" );
            else
               echo( $index[$i][subject] );
            echo( "</a></td>" );

            echo( "<td nowrap>" );
            echo( strftime( $vocab["datefmt"], $index[$i][date] ) );
            echo( "</td>" );

            echo( "<td align=right>" );
            if( $index[$i][size] < 1024 )
               echo( "<1K" );
            else if( $index[$i][size] < 1048576 )
               printf( "%dK", $index[$i][size] / 1024 );
            else
               printf( "%dM", $index[$i][size] / 1048576 );
            echo( "</td>" );
            echo( "</tr>" );
         }

         echo( "<tr><td colspan=3><input type=submit value=\"" );
         echo( $vocab["delmsgs"] );
         echo( "\"></td>" );

         echo( "<td align=right colspan=3 class=plain>" );
         if( $msgsize < 1024 )
            $x = "$msgsize bytes";
         else if( $msgsize < 1048576 )
            $x = sprintf( "%0.2fK", $msgsize / 1024 );
         else
            $x = sprintf( "%0.2fM", $msgsize / 1048576 );
         printf( $vocab["total"], $msgcount, $x );
         echo( "</td></tr>" );

         echo( "</table>" );

         echo( "</form>" );
      }
   }
?>
